package com.bda.controller;

import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;

class BaseEvent implements Parcelable {
    public static final Creator<BaseEvent> CREATOR;
    final int mControllerId;
    final long mEventTime;

    static class ParcelableCreator implements Creator<BaseEvent> {
        ParcelableCreator() {
        }

        public BaseEvent createFromParcel(Parcel parcel) {
            return new BaseEvent(parcel);
        }

        public BaseEvent[] newArray(int i) {
            return new BaseEvent[i];
        }
    }

    static {
        CREATOR = new ParcelableCreator();
    }

    public BaseEvent(long j, int i) {
        this.mEventTime = j;
        this.mControllerId = i;
    }

    BaseEvent(Parcel parcel) {
        this.mEventTime = parcel.readLong();
        this.mControllerId = parcel.readInt();
    }

    public int describeContents() {
        return 0;
    }

    public final int getControllerId() {
        return this.mControllerId;
    }

    public final long getEventTime() {
        return this.mEventTime;
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeLong(this.mEventTime);
        parcel.writeInt(this.mControllerId);
    }
}
