package com.epsxe.ePSXe;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.MenuItem;
import android.webkit.WebView;
import com.keyhan.moorhuhn2.C0122R;

public class ePSXeHelp extends Activity {
    private static final int BACK_ID = 1;
    private static final int PREFERENCES_GROUP_ID = 0;
    WebView browser;

    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(C0122R.layout.help);
        this.browser = (WebView) findViewById(C0122R.id.webkit);
        this.browser.loadUrl("file:///android_asset/html/index.html");
    }

    public boolean onCreateOptionsMenu(Menu menu) {
        super.onCreateOptionsMenu(menu);
        menu.add(0, BACK_ID, 0, C0122R.string.file_unsuportedback).setIcon(17301580);
        return true;
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        if (i == 4 && keyEvent.getRepeatCount() == 0) {
            startActivity(new Intent(this, ePSXe.class));
            finish();
        }
        return super.onKeyDown(i, keyEvent);
    }

    public boolean onOptionsItemSelected(MenuItem menuItem) {
        switch (menuItem.getItemId()) {
            case BACK_ID /*1*/:
                startActivity(new Intent(this, ePSXe.class));
                finish();
                break;
        }
        return true;
    }

    public boolean onPrepareOptionsMenu(Menu menu) {
        menu.clear();
        menu.add(0, BACK_ID, 0, C0122R.string.file_unsuportedback).setIcon(17301580);
        return super.onPrepareOptionsMenu(menu);
    }
}
