package com.epsxe.ePSXe;

import android.util.Log;
import com.google.android.vending.licensing.Policy;
import java.io.RandomAccessFile;

public class pbpFile {
    public static final int PBP_PSAR = 36;
    public static final int PBP_PSTITLEIMG = 512;
    String[] nameFiles;
    int numFiles;

    public pbpFile(String str, String str2) {
        int i = 0;
        this.numFiles = 0;
        this.nameFiles = new String[]{""};
        byte[] bArr = new byte[12];
        byte[] bArr2 = new byte[4];
        try {
            RandomAccessFile randomAccessFile = new RandomAccessFile(str, "r");
            randomAccessFile.seek(36);
            randomAccessFile.read(bArr2);
            long j = getLong(bArr2);
            randomAccessFile.seek(j);
            randomAccessFile.read(bArr);
            String str3 = new String(bArr);
            if (str3.equals("PSTITLEIMG00")) {
                Log.e("pbpfile", "multi");
                for (int i2 = 0; i2 < 6; i2++) {
                    byte[] bArr3 = new byte[Policy.LICENSED];
                    randomAccessFile.seek((512 + j) + ((long) (i2 * 4)));
                    randomAccessFile.read(bArr2);
                    long j2 = getLong(bArr2);
                    if (j2 == 0) {
                        break;
                    }
                    randomAccessFile.seek((j2 + j) + 4652);
                    randomAccessFile.read(bArr3);
                    String str4 = new String(bArr3);
                    this.nameFiles = append(this.nameFiles, str4.substring(0, str4.indexOf(0)) + " (CD" + (i2 + 1) + ")");
                    this.numFiles++;
                }
            } else if (str3.equals("PSISOIMG0000")) {
                this.nameFiles = append(this.nameFiles, str2);
                this.numFiles++;
            } else {
                this.numFiles = 0;
                randomAccessFile.close();
                return;
            }
            while (i < this.nameFiles.length) {
                Log.e("pbpfile", "--> " + this.nameFiles[i]);
                i++;
            }
            randomAccessFile.close();
        } catch (Exception e) {
            this.nameFiles = null;
            this.nameFiles = append(this.nameFiles, str2);
            this.numFiles = 1;
        }
    }

    static String[] append(String[] strArr, String str) {
        int length = strArr.length;
        Object obj = new String[(length + 1)];
        System.arraycopy(strArr, 0, obj, 0, length);
        obj[length] = str;
        return obj;
    }

    private long getLong(byte[] bArr) {
        return (long) ((((bArr[0] & 255) + ((bArr[1] & 255) * Policy.LICENSED)) + (((bArr[2] & 255) * Policy.LICENSED) * Policy.LICENSED)) + ((((bArr[3] & 255) * Policy.LICENSED) * Policy.LICENSED) * Policy.LICENSED));
    }

    public String getFileName(int i) {
        return i <= this.numFiles ? this.nameFiles[i] : "";
    }

    public int getNumFiles() {
        return this.numFiles;
    }
}
